<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kursovaya_tp: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kursovaya_tp
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Student Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_student.html">Student</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#a559d22e68616a2f4b4d99b5ebba2c73c">eat</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#a8751a3fbf38caaf2fc80fb94f8779447">Emotion</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#a820a1335ce266055c366d4a1e0284b7e">Energy</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#a3107fdf6e75990943f2c29584c02193d">have_party</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#a41d75d57279f22937db8743b5d64f354">Health</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#a348561035fa7b49bafcd1118c76182cb">Iq</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#af55184bcefb72bf62f4c70d0f16689e2">is_alive</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#adc45fd1ab47bde1ac2f31644faa56d21">Name</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#a37e52e20e1f718286495e06c994bc6bd">Sense</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#a46e4ce78ef77c2bb7065c1b29592c8b4">SetName</a>(std::string name)</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#a1d9dddeaf51372ede18adbd62e46d617">sleep</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#aa1277a4e71cb3b5f8ca6a4dba91896f5">Student</a>(int health=100, int energy=100, int iq=100, int sense=100, int emotion=100)</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_student.html#ad37decdafc35070943409200ae074a45">study</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_student.html#a85f39bb096babfdffae0e41bad6d88e1">watch_tv</a>()</td><td class="entry"><a class="el" href="class_student.html">Student</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8
</small></address>
</body>
</html>
